//
//  BXImageView.h
//  BXAppKit
//
//  Created by Florian Albrecht on 21.09.06.
//  Copyright 2006 Boinx Software. All rights reserved.
//


#pragma mark READ ME

/*

	This subclass of NSImageView adds:
	-	Drag&Drop of images (file paths)
	-	stores the file path to the image
	-	sends a notification each time the image changes via setter or Drag&Drop.
 
*/

#define FILE_PATH_DID_CHANGE @"FilePathDidChange"



#pragma mark

@interface BXImageView : NSImageView {

	NSString *_filePath;
	BOOL scalesUp;
	BOOL drawShadow;
	
	Class _BXUQuickTimeMovieClass;
	NSColor *backgroundColor;
	
	CGFloat shadowOffsetX;
	CGFloat shadowOffsetY;
	CGFloat shadowBlurRadius;
	CGFloat shadowColorAlpha;
}

#pragma mark -
#pragma mark accessors

- (NSString *) filePath;
- (void) setFilePath: (NSString *) newFilePath;

- (BOOL)scalesUp;
- (void)setScalesUp:(BOOL)b;

- (BOOL)drawShadow;
- (void)setDrawShadow:(BOOL)value;

#pragma mark -
#pragma mark Helpers

- (NSRect) boundsRespectingShadow;


@end
