//
//  BXGetALicensePanelController.h
//  BXServices
//
//  Created by Michael Ehrmann on 07.09.06.
//  Copyright 2006 Boinx Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class BXStackedContainerView;

@interface BXGetALicensePanelController : NSWindowController {
	
	IBOutlet BXStackedContainerView *containerView;
	
	IBOutlet NSView *oWindowHeaderView;
	IBOutlet NSButton *oHeaderBoinxButton;

	IBOutlet NSView *oBuyHeaderView;
	IBOutlet NSTextField *oBuyHeaderText;
	
	IBOutlet NSView *oBuyKRMView;
	IBOutlet NSButton *oBuyKRMButton;
	IBOutlet NSView *oBuyWebView;
	IBOutlet NSButton *oBuyWebButton;

	IBOutlet NSView *oOptionsHeaderView;
	IBOutlet NSTextField *oOptionsHeaderText;
	
	IBOutlet NSView *oOptionsDemoView;
	IBOutlet NSButton *oOptionsDemoButton;
	IBOutlet NSView *oOptionsOtherView;
	IBOutlet NSButton *oOptionsOtherButton;

	IBOutlet NSPopUpButton *oLocaleButton;
	IBOutlet NSButton *oRloadButton;

	NSDictionary *userLocaleSalesConfigDict;
	NSArray *testLocales;
	id selectedTestLocale;
	NSString *logoURL;
}

- (void) loadDisplayData;
- (void) updateWindowContents;

- (IBAction) BoinxLogoClicked:(id)inSender;

- (IBAction) buyKRMClicked:(id)inSender;
- (IBAction) buyWebClicked:(id)inSender;
- (IBAction) optionsDemoClicked:(id)inSender;
- (IBAction) optionsOtherClicked:(id)inSender;

- (IBAction) ReloadClicked:(id)inSender;


#pragma mark -
#pragma mark accessors

- (NSDictionary *)userLocaleSalesConfigDict;
- (void)setUserLocaleSalesConfigDict:(NSDictionary *)newUserLocaleSalesConfigDict;

- (NSArray *) testLocales;
- (void) setTestLocales: (NSArray *) newTestLocales;

- (id) selectedTestLocale;
- (void) setSelectedTestLocale: (id) newSelectedTestLocale;

- (NSString *) logoURL;
- (void) setLogoURL: (NSString *) newLogoURL;



@end
