//
//  BXVersionCheckWindowController.h
//  Boinx Services Framework
//
//  Created by Michael Ehrmann on Thu Mar 18 2004.
//  Copyright (c) 2004 GeBE Computer & Peripherie GmbH. All rights reserved.
//

#import <AppKit/AppKit.h>

#define checkingState 0
#define noneState 1
#define availableState 2
#define failedState 3

@interface BXVersionCheckWindowController : NSWindowController {
    
    IBOutlet id newVersionWebView;
    IBOutlet id progressBar;
    IBOutlet id stateTabs;
    
    IBOutlet id checkingStateTextField;
    IBOutlet id noneStateTextField;
    IBOutlet id availableStateTextField;
    IBOutlet id failedStateTextField;
	
	IBOutlet id cancelButton;
	IBOutlet id getButton;
	IBOutlet id okButtonUpToDate;
	IBOutlet id okButtonFailed;
    
    NSString *featuresString;
    NSString *downloadURL;
    NSPoint windowOrigin;
    
    NSString *checkingStateText;
    NSString *noneStateText;
    NSString *availableStateText;
    NSString *failedStateText;
}

- (IBAction)showPanel:(id)sender;
- (IBAction)hidePanel:(id)sender;
- (IBAction)openDownLoadPage:(id)sender;

- (void)updateWindow;

- (void)setNewVersionInfo:(NSDictionary*)productVersionDict betaString:(NSString*)betaString;
- (void)setPanelState: (int)newState;

- (IBAction)openDownLoadPage:(id)sender;

- (NSString*)downloadURL;
- (void)setDownLoadURL:(NSString*)value;

- (NSString*)checkingStateText;
- (void)setCheckingStateText:(NSString*)value;

- (NSString*)noneStateText;
- (void)setNoneStateText:(NSString*)value;

- (NSString*)availableStateText;
- (void)setAvailableStateText:(NSString*)value;

- (NSString*)failedStateText;
- (void)setFailedStateText:(NSString*)value;

- (NSString*)featuresString;
- (void)setFeaturesString:(NSString*)value;
    
@end
